package user

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"sundynix-micro-go/app/system/api/internal/logic/user"
	"sundynix-micro-go/app/system/api/internal/svc"
	"sundynix-micro-go/app/system/api/internal/types"
	"sundynix-micro-go/common/response"
)

func DeleteUserHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IdsReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Fail(w, err.Error())
			return
		}
		l := user.NewDeleteUserLogic(r.Context(), svcCtx)
		if err := l.DeleteUser(&req); err != nil {
			response.Fail(w, err.Error())
		} else {
			response.Ok(w)
		}
	}
}
